Linux build / libstd++ ABI error

Hi,

To develop on DualSPHysics on linux, I want to check the environment by building the original code. Unfortunately, I get a cascade of undefined references, seemingly related to the precompiled linux librairies and the C++11 ABI.
So far, I tried to compile it with gcc-5,-8 and -4.8 without success, wether the GCC5 option is activated or not.
Did someone meet this kind of error and found a workaround ? My current environment is a freshly installed Ubuntu 18.04.1 (on a virtual machine).
Cheers,

Matthias

Comments

  • Hi, have you tried using CMake?
  • Thanks ! Indeed, it worked much better. Cmake was more explicit regarding the source of error.
    Cheers,

    Matthias
Sign In or Register to comment.